"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const archdevlogger_1 = require("archdevlogger");
const formatters_1 = require("../formatters");
const errors_1 = require("../errors");
exports.FormattersFactory = (formatters = []) => formatters.map(each => {
    let Formatter;
    if (each.module) {
        Formatter = archdevlogger_1.ArchDevLogger.Core.Loader.loadLoggerModule(each.module);
    }
    else if (each.formatter) {
        Formatter = formatters_1.Formatters.get(each.formatter);
    }
    else {
        throw new errors_1.InvalidFormatterError();
    }
    return Formatter;
});
